#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e3fc46e, "module_layout" },
	{ 0x40d13d4d, "dev_attr_phy_event_threshold" },
	{ 0xb5307c5f, "hisi_sas_host_reset" },
	{ 0xd275955, "sas_bios_param" },
	{ 0x358bd1bb, "ata_scsi_dma_need_drain" },
	{ 0xe1449823, "sas_change_queue_depth" },
	{ 0x3ab2efd1, "hisi_sas_scan_start" },
	{ 0x6b7d2e00, "hisi_sas_scan_finished" },
	{ 0x64a9429d, "sas_target_destroy" },
	{ 0x3165c436, "sas_target_alloc" },
	{ 0xe54580b7, "hisi_sas_slave_configure" },
	{ 0x3c2b3a7f, "hisi_sas_slave_alloc" },
	{ 0xa78bd890, "sas_eh_target_reset_handler" },
	{ 0xb933407f, "sas_eh_device_reset_handler" },
	{ 0xdead8922, "sas_ioctl" },
	{ 0x6fda9b5d, "sas_queuecommand" },
	{ 0xccb42ff9, "platform_driver_unregister" },
	{ 0xc3da8b4a, "__platform_driver_register" },
	{ 0xbe5e915c, "hisi_sas_init_mem" },
	{ 0xf2ca8aa8, "hisi_sas_stop_phys" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa68e00af, "platform_get_irq" },
	{ 0x2faeed3b, "sas_task_abort" },
	{ 0xcc76ade1, "sas_ssp_task_response" },
	{ 0xc01fcb2b, "dma_unmap_sg_attrs" },
	{ 0xb3a9fb0d, "hisi_sas_slot_task_free" },
	{ 0xc6915b3c, "del_timer_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7958e553, "hisi_sas_sata_done" },
	{ 0x29010873, "devm_request_threaded_irq" },
	{ 0x76a577d8, "hisi_sas_phy_down" },
	{ 0xc11cc822, "add_timer" },
	{ 0xfe9fa0e1, "sas_notify_port_event" },
	{ 0xbdf940a5, "hisi_sas_phy_oob_ready" },
	{ 0xcb33f53b, "hisi_sas_notify_phy_event" },
	{ 0x1165c210, "_dev_info" },
	{ 0x5dfff754, "del_timer" },
	{ 0x93830f26, "regmap_read" },
	{ 0x618a81e2, "regmap_write" },
	{ 0xf8ec0db5, "device_property_read_u32_array" },
	{ 0xeabd9a2, "device_property_present" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x7beefe07, "is_acpi_device_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfa77b0b9, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x42e0f5ef, "devm_platform_get_irqs_affinity" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa50a3da7, "_find_next_bit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4829a47e, "memcpy" },
	{ 0x87b8798d, "sg_next" },
	{ 0xebfae55c, "hisi_sas_get_ata_protocol" },
	{ 0x7e30eefa, "_dev_warn" },
	{ 0xa1bf93cd, "to_hisi_sas_port" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x611d1f88, "hisi_sas_phy_enable" },
	{ 0x40ac648c, "hisi_sas_get_prog_phy_linkrate_mask" },
	{ 0xd0220c1a, "_dev_err" },
	{ 0x112b1852, "cpumask_next" },
	{ 0xb0528009, "irq_get_irq_data" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b67f2d8, "hisi_sas_probe" },
	{ 0xb0ebadbc, "hisi_sas_remove" },
	{ 0xdbf136a0, "cpu_hwcap_keys" },
};

MODULE_INFO(depends, "libsas,hisi_sas_main");

MODULE_ALIAS("acpi*:HISI0162:*");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2C*");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2C*");

MODULE_INFO(srcversion, "39B6BF6E4D12352866419D7");
